
D4Science Infrastructure - Task #564

clean mongodb cluster on dev environment

Sep 08, 2015 11:02 AM - Roberto Cirillo

Status: Closed Start date: Sep 08, 2015

Priority: High Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

The clean is done running a full resync on secondaries member one at a time,and after that, step-down the primary and resync to

newly secondary.

History

#1 - Sep 08, 2015 11:02 AM - Roberto Cirillo

The new secondary member (mongo2-d-d4s.d4science.org) had completed the full resync to the primary member

(node41.d.d4science.research-infrastructures.eu).

At this time the primary has 306 GB of disk space used, while the new secondary has 282 GB of disk space used.

Now I'm going to sync the secondary member node42.d.d4science.research-infrastructures.eu.

#2 - Sep 09, 2015 09:54 AM - Roberto Cirillo

- % Done changed from 30 to 70

#3 - Sep 09, 2015 10:25 AM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to _InfraScience Systems Engineer

The new members:

mongo2-d-d4s.d4science.org, mongo3-d-d4s.d4science.org are not able to receive connections from storage client library on port 27017. Could it be

a iptables rules problem? Could anyone check it, please?

#4 - Sep 09, 2015 11:20 AM - Andrea Dell'Amico

Port 27017 is open to the nemis network only:

10816  649K ACCEPT     tcp  --  *      *       146.48.122.0/23      0.0.0.0/0            state NEW tcp dpt:270

17

 What other networks have to be allowed?

You can check the firewall tables by running the command

iptables -nvL

 as root user, btw.

#5 - Sep 09, 2015 11:28 AM - Tommaso Piccioli

On mongo2-d-d4s.d4science.org and mongo3-d-d4s.d4science.org (and mongo1-d-d4s.d4science.org in the future) we can have the same iptables

rules than on node67.p.d4science.research-infrastructures.eu

#6 - Sep 09, 2015 11:33 AM - Roberto Cirillo

I've tried from my machine: 146.48.85.73 and it doesn't work . The networks should be allowed for the development cluster are all the networks

allowed for production cluster. (e.g. node58.p.d4science.research-infrastructures.eu). Could you compare the rules?

#7 - Sep 09, 2015 01:03 PM - Tommaso Piccioli

On the dev mongo cluster now we ave the same iptables rules of the prod mongo cluster

#8 - Sep 09, 2015 03:44 PM - Roberto Cirillo

- Status changed from In Progress to Closed
- % Done changed from 70 to 100

it works now. The clean is done. 

#9 - Sep 09, 2015 05:47 PM - Tommaso Piccioli

- Status changed from Closed to In Progress

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

- Priority changed from Urgent to High

- % Done changed from 100 to 90

New host mongo1-d-d4s.d4science.org, ready to be configured to substitute node40.d.d4science.research-infrastructures.eu

#10 - Sep 11, 2015 10:37 AM - Roberto Cirillo

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

The new dev cluster is complete.

For every member  the OS has been upgraded and the log rotation has been enabled
